## prometheus-webhook-snmp-container-1.3.5-3.tar.gz

=== app/requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file=requirements.txt requirements.in
#
astroid==2.5.6
    # via pylint
atomicwrites==1.4.0
    # via pytest
attrs==21.2.0
    # via pytest
cheroot==8.5.2
    # via cherrypy
cherrypy==18.1.1
    # via -r requirements.in
click==7.0
    # via -r requirements.in
importlib-metadata==4.0.1
    # via pluggy
isort==4.3.21
    # via pylint
jaraco.functools==3.3.0
    # via
    #   cheroot
    #   tempora
lazy-object-proxy==1.6.0
    # via astroid
mccabe==0.6.1
    # via pylint
mock==3.0.5
    # via -r requirements.in
more-itertools==8.7.0
    # via
    #   cheroot
    #   cherrypy
    #   jaraco.functools
    #   pytest
pluggy==0.13.1
    # via pytest
ply==3.11
    # via pysmi
portend==2.7.1
    # via cherrypy
prometheus_client==0.6.0
    # via -r requirements.in
py==1.10.0
    # via pytest
pyasn1==0.4.8
    # via pysnmp
pycryptodomex==3.10.1
    # via pysnmp
pyfakefs==3.5.8
    # via -r requirements.in
pylint==2.3.1
    # via -r requirements.in
pysmi==0.3.4
    # via pysnmp
pysnmp==4.4.8
    # via -r requirements.in
pytest-runner==5.3.1
    # via -r requirements.in
pytest==4.4.0
    # via -r requirements.in
python-dateutil==2.8.0
    # via -r requirements.in
pytz==2021.1
    # via tempora
pyyaml==5.4
    # via -r requirements.in
six==1.16.0
    # via
    #   cheroot
    #   mock
    #   pytest
    #   python-dateutil
tempora==4.0.2
    # via portend
typed-ast==1.4.3
    # via astroid
typing-extensions==3.10.0.0
    # via importlib-metadata
wrapt==1.12.1
    # via astroid
zc.lockfile==2.0
    # via cherrypy
zipp==3.4.1
    # via importlib-metadata
# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== doc/en/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

REGENDOC_ARGS := \
	--normalize "/in \d+.\d+ seconds/in 0.12 seconds/" \
	--normalize "@/tmp/pytest-of-.*/pytest-\d+@PYTEST_TMPDIR@" \
	--normalize "@pytest-(\d+)\\.[^ ,]+@pytest-\1.x.y@" \
	--normalize "@(This is pytest version )(\d+)\\.[^ ,]+@\1\2.x.y@" \
	--normalize "@py-(\d+)\\.[^ ,]+@py-\1.x.y@" \
	--normalize "@pluggy-(\d+)\\.[.\d,]+@pluggy-\1.x.y@" \
	--normalize "@hypothesis-(\d+)\\.[.\d,]+@hypothesis-\1.x.y@" \
	--normalize "@Python (\d+)\\.[^ ,]+@Python \1.x.y@"

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest


help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  showtarget to show the pytest.org target directory"
	@echo "  install    to install docs to pytest.org/SITETARGET"
	@echo "  install-ldf to install the doc pdf to pytest.org/SITETARGET"
	@echo "  regen      to regenerate pytest examples using the installed pytest"
	@echo "  linkcheck  to check all external links for integrity"

clean:
	-rm -rf $(BUILDDIR)/*

regen:
	PYTHONDONTWRITEBYTECODE=1 PYTEST_ADDOPTS=-pno:hypothesis COLUMNS=76 regendoc --update *.rst */*.rst ${REGENDOC_ARGS}

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pytest.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pytest.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pytest"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pytest"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

texinfo:
	mkdir -p $(BUILDDIR)/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	mkdir -p $(BUILDDIR)/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

=== app/debian/changelog ===
prometheus-webhook-snmp (1.5-1) stable; urgency=low

  * Issue #26: Fix 'TypeError' when using '--port' argument.

 -- Volker Theile <vtheile@suse.com>  Tue, 15 Sep 2020 12:49:50 +0200

prometheus-webhook-snmp (1.2-1) stable; urgency=low

  * Show used configuration settings in debug mode.

 -- Volker Theile <vtheile@suse.com>  Thu, 16 May 2019 14:04:41 +0200

prometheus-webhook-snmp (1.1-1) stable; urgency=low

  * Add support for global configuration file /etc/prometheus-webhook-snmp.conf
  * Add ability to configure systemd service via /etc/default/prometheus-webhook-snmp
  * Added python3-PyYAML as new dependency
  * python3-pysnmp needs to be at least 4.4.1

 -- Volker Theile <vtheile@suse.com>  Mon, 13 May 2019 16:01:19 +0200

prometheus-webhook-snmp (1.0-1) stable; urgency=low

  * Initial Debian packaging.

 -- Volker Theile <vtheile@suse.com>  Wed, 10 Apr 2019 15:48:08 +0200

=== app/debian/control ===
Source: prometheus-webhook-snmp
Section: net
Priority: optional
Maintainer: Volker Theile <vtheile@suse.com>
Build-Depends: debhelper (>> 11), tox
Standards-Version: 4.3.0

Package: prometheus-webhook-snmp
Architecture: all
Depends: ${misc:Depends},
         python3-prometheus-client,
         python3-click,
         python3-cherrypy3,
         python3-dateutil,
         python3-pysnmp4 (>= 4.4.1),
         python3-yaml
Priority: optional
Description: Prometheus Alertmanager receiver for SNMP traps
 prometheus-webhook-snmp is a Prometheus Alertmanager receiver that
 translates incoming notifications into SNMP traps.
